.. _vim.fault.VmToolsUpgradeFault: ../../vim/fault/VmToolsUpgradeFault.rst


vim.fault.ToolsAlreadyUpgraded
==============================
    :extends:

        `vim.fault.VmToolsUpgradeFault`_

  Thrown when tools upgrade fails because the version of tools installed in the guest is already up-to-date.

Attributes:




